OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
LinkGraph::EdgeIterator Class Reference

An iterator for non-const edges. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::EdgeIterator:

## Public Member Functions
| EdgeIterator (BaseEdge *edges, NodeID current)
| Constructor.
Public Member Functions inherited from LinkGraph::BaseEdgeIterator< BaseEdge, Edge, EdgeIterator >
| BaseEdgeIterator (BaseEdge *base, NodeID current)
| Constructor.
EdgeIterator & | operator++ ()
| Prefix-increment.
EdgeIterator | operator++ (int)
| Postfix-increment.
bool | operator== (const Tother &other)
| Compare with some other edge iterator.
bool | operator!= (const Tother &other)
| Compare for inequality with some other edge iterator.
SmallPair< NodeID, Edge > | operator* () const
| Dereference with operator*.
FakePointer | operator-> () const
| Dereference with operator->.

## Additional Inherited Members
Protected Attributes inherited from LinkGraph::BaseEdgeIterator< BaseEdge, Edge, EdgeIterator >
BaseEdge * | base
| Array of edges being iterated.
NodeID | current
| Current offset in edges array.

## Detailed Description

An iterator for non-const edges.

Cannot be typedef'ed because of template-reference to EdgeIterator itself.

Definition at line 324 of file linkgraph.h.

## Constructor & Destructor Documentation

LinkGraph::EdgeIterator::EdgeIterator | ( | BaseEdge * | edges,
|  | NodeID | current
| ) |  |
| inline

Constructor.

Parameters

  edges | Array of edges to be iterated over.
  current | ID of current edge's end node.

Definition at line 331 of file linkgraph.h.

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h